<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useOnDeleteStepColumn](./react.useondeletestepcolumn.md)

## useOnDeleteStepColumn() function

<b>Signature:</b>

```typescript
export declare function useOnDeleteStepColumn(step: Step<InputColumnRecordArgs>, onChange?: StepChangeFunction<InputColumnRecordArgs>): (column: string) => void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  step | Step&lt;InputColumnRecordArgs&gt; |  |
|  onChange | StepChangeFunction&lt;InputColumnRecordArgs&gt; | <i>(Optional)</i> |

<b>Returns:</b>

(column: string) =&gt; void

